- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::SMenuColours Struct Reference

List of all members.

## Detailed Description

Stores all the colours required for a menu widnow.

Date:
  17/04/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  SMenuColours.hpp,v 1.4 2007/02/08 21:07:54 paul Exp

Definition at line 30 of file SMenuColours.hpp.

## Public Attributes

- CAlphaColour m_disabledTextColour
- CAlphaColour m_frameColour
- CAlphaColour m_selectedColour
- CAlphaColour m_seperatorColour
- CAlphaColour m_subMenuPointerColour
- CAlphaColour m_textColour

## Member Data Documentation

CAlphaColour Exponent::GUI::Controls::SMenuColours::m_disabledTextColour

The colour of disabled text

Definition at line 33 of file SMenuColours.hpp.

CAlphaColour Exponent::GUI::Controls::SMenuColours::m_frameColour

The colour of the frame

Definition at line 36 of file SMenuColours.hpp.

CAlphaColour Exponent::GUI::Controls::SMenuColours::m_selectedColour

The colour of the selection

Definition at line 37 of file SMenuColours.hpp.

CAlphaColour Exponent::GUI::Controls::SMenuColours::m_seperatorColour

The colour of the seperator

Definition at line 34 of file SMenuColours.hpp.

CAlphaColour Exponent::GUI::Controls::SMenuColours::m_subMenuPointerColour

The colour of the sub menu pointer

Definition at line 35 of file SMenuColours.hpp.

CAlphaColour Exponent::GUI::Controls::SMenuColours::m_textColour

The colour of the text

Definition at line 32 of file SMenuColours.hpp.